[SCM] live-initramfs branch, master, updated. 1.157.4-1-35-g1973695
Daniel Baumann
daniel at debian.org
Fri Jan 22 09:01:59 UTC 2010
The following commit has been merged in the master branch:
commit 197369520e1c0c29cb0e1f11ce19b1985d54d0d4
Author: Daniel Baumann <daniel at debian.org>
Date: Fri Jan 22 09:58:54 2010 +0100
Don't panic with persistency when we can't correctly mount the filesystem (Closes: #565456).
diff --git a/scripts/live-helpers b/scripts/live-helpers
index 0d97d10..c4ef57f 100644
--- a/scripts/live-helpers
+++ b/scripts/live-helpers
@@ -277,7 +277,8 @@ try_mount ()
then
fstype=$(get_fstype "${dev}")
fi
- mount -t "${fstype}" -o "${opts}" "${dev}" "${mountp}" || panic "Cannot mount ${dev} on ${mountp}, fstype=${fstype}, options=${opts}"
+ mount -t "${fstype}" -o "${opts}" "${dev}" "${mountp}" || \
+ ( echo "SKIPPING: Cannot mount ${dev} on ${mountp}, fstype=${fstype}, options=${opts}" > live.log && return 0 )
fi
}
@@ -355,17 +356,15 @@ find_cow_device ()
case "$(get_fstype ${devname})" in
vfat|ext2|ext3|ext4|jffs2)
mkdir -p "${cow_backing}"
- if ! try_mount "${devname}" "${cow_backing}" "rw"
+ if try_mount "${devname}" "${cow_backing}" "rw"
then
- break
- fi
-
- if [ -f "${pers_fpath}" ]
- then
- echo $(setup_loop "${pers_fpath}" "loop" "/sys/block/loop*")
- return 0
- else
- umount ${cow_backing}
+ if [ -f "${pers_fpath}" ]
+ then
+ echo $(setup_loop "${pers_fpath}" "loop" "/sys/block/loop*")
+ return 0
+ else
+ umount ${cow_backing} > /dev/null 2>&1 || true
+ fi
fi
;;
*)
--
live-initramfs
More information about the debian-live-changes
mailing list